/*
Inbox

Inbox API can be used for low level integration and enables direct communication with you contact base.   In most cases you will use our interaction templates for communication, but our api also allows you to send message directly.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package inboxapi

import (
	"encoding/json"
)

// checks if the FindConversationsSegmentsRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &FindConversationsSegmentsRequest{}

// FindConversationsSegmentsRequest struct for FindConversationsSegmentsRequest
type FindConversationsSegmentsRequest struct {
	ConversationIds []string `json:"conversation_ids"`
}

// NewFindConversationsSegmentsRequest instantiates a new FindConversationsSegmentsRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewFindConversationsSegmentsRequest(conversationIds []string) *FindConversationsSegmentsRequest {
	this := FindConversationsSegmentsRequest{}
	this.ConversationIds = conversationIds
	return &this
}

// NewFindConversationsSegmentsRequestWithDefaults instantiates a new FindConversationsSegmentsRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewFindConversationsSegmentsRequestWithDefaults() *FindConversationsSegmentsRequest {
	this := FindConversationsSegmentsRequest{}
	return &this
}

// GetConversationIds returns the ConversationIds field value
func (o *FindConversationsSegmentsRequest) GetConversationIds() []string {
	if o == nil {
		var ret []string
		return ret
	}

	return o.ConversationIds
}

// GetConversationIdsOk returns a tuple with the ConversationIds field value
// and a boolean to check if the value has been set.
func (o *FindConversationsSegmentsRequest) GetConversationIdsOk() ([]string, bool) {
	if o == nil {
		return nil, false
	}
	return o.ConversationIds, true
}

// SetConversationIds sets field value
func (o *FindConversationsSegmentsRequest) SetConversationIds(v []string) {
	o.ConversationIds = v
}

func (o FindConversationsSegmentsRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o FindConversationsSegmentsRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["conversation_ids"] = o.ConversationIds
	return toSerialize, nil
}

type NullableFindConversationsSegmentsRequest struct {
	value *FindConversationsSegmentsRequest
	isSet bool
}

func (v NullableFindConversationsSegmentsRequest) Get() *FindConversationsSegmentsRequest {
	return v.value
}

func (v *NullableFindConversationsSegmentsRequest) Set(val *FindConversationsSegmentsRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableFindConversationsSegmentsRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableFindConversationsSegmentsRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableFindConversationsSegmentsRequest(val *FindConversationsSegmentsRequest) *NullableFindConversationsSegmentsRequest {
	return &NullableFindConversationsSegmentsRequest{value: val, isSet: true}
}

func (v NullableFindConversationsSegmentsRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableFindConversationsSegmentsRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


